<%--
/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<div class="loading-animation">
	<iframe class="aui-helper-hidden-accessible" id="<portlet:namespace />frame" scrolling="no" src="<%= iFrameURL %>"></iframe>
</div>

<div class="aui-helper-hidden time-out-message portlet-msg-error">
	<liferay-ui:message key="could-not-connect-to-the-liferay-marketplace" />
</div>

<aui:script use="aui-base,aui-io,aui-messaging">
	var frame = A.one('#<portlet:namespace />frame');

	var timeout = setTimeout(
		function() {
			frame.ancestor().removeClass('loading-animation');
			A.one('.time-out-message').show();
		},
		30000
	);

	A.receiveMessage(
		function(event) {
			var response = event.responseData;

			if (response.height) {
				clearTimeout(timeout);

				frame.removeClass('aui-helper-hidden-accessible');
				frame.ancestor().removeClass('loading-animation');

				frame.height(response.height + 50);
			}

			if (response.panel) {
				var url = '<liferay-portlet:renderURL doAsGroupId="<%= themeDisplay.getScopeGroupId() %>" portletName="<%= portletId.equals(PortletKeys.STORE) ? PortletKeys.MY_MARKETPLACE : PortletKeys.STORE %>" windowState="<%= WindowState.MAXIMIZED.toString() %>" />';

				if (response.appId) {
					url = Liferay.Util.addParams('appId=' + response.appId, url);
				}

				window.location = url;
			}

			if (response.cmd) {
				A.io.request(
					'<portlet:actionURL />',
					{
						data: response,
						dataType: 'JSON',
						method: 'POST',
						on: {
							success: function(event, id, obj) {
								var response = this.get('responseData');

								A.postMessage(response, '<%= iFrameURL %>', frame);
							}
						}
					}
				);
			}
		},
		A.Lang.emptyFnTrue
	);

	frame.on(
		'load',
		function() {
			A.postMessage(
				{
					message: 'success',
					clientURL: '<%= themeDisplay.getURLPortal() %>'
				},
				'<%= iFrameURL %>',
				frame
			);
		}
	);
</aui:script>